%global pypi_name pytest-html

Name:           python-%{pypi_name}
Version:        3.1.1
Release:        1%{?dist}
Summary:        Plugin for generating HTML reports for pytest results

License:        MPLv2.0
URL:            https://github.com/pytest-dev/pytest-html
Source0:        https://files.pythonhosted.org/packages/e2/94/850b36f556ca1f7ad62f38cea0a3955efc2df20b24e1108fca4c2130344f/pytest-html-3.1.1.tar.gz
BuildArch:      noarch

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-setuptools_scm
BuildRequires: python3-pytest

%{?python_disable_dependency_generator}

%description
pytest-html is a plugin for pytest that generates a HTML report for test
results.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%{?python_provide:%python_provide python3-%{pypi_name}}


Requires:       python3dist(pytest)
Requires:       python3dist(pytest-metadata)
%description -n python3-%{pypi_name}
pytest-html is a plugin for pytest that generates a HTML report for test
results.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/pytest_html
%{python3_sitelib}/pytest_html-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Mar 29 2021 Petr Vobornik <pvoborni@redhat.com> - 3.1.1-1
- Initial package.